> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive article

> Archives an article by soft-deleting it (sets `isDeleted=true`). The record is retained and the publish state is left unchanged.



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json put /articles/archive
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /articles/archive:
    put:
      tags:
        - Articles
      summary: Archive article
      description: >-
        Archives an article by soft-deleting it (sets `isDeleted=true`). The
        record is retained and the publish state is left unchanged.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - id
              properties:
                id:
                  type: string
                  pattern: ^[a-fA-F0-9]{24}$
                  example: '{{objectId}}'
            examples:
              Archive:
                value:
                  id: '{{objectId}}'
      responses:
        '200':
          description: Archived
          content:
            application/json:
              example:
                success: true
                statusCode: 200
                message: Article archived successfully
                data: null
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                success: false
                statusCode: 401
                message: Unauthorized
                data: null
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                success: false
                statusCode: 403
                message: Forbidden
                data: null
        '404':
          description: Not found
          content:
            application/json:
              example:
                success: false
                statusCode: 404
                message: Article not found
                data: null
        '500':
          description: Server error
          content:
            application/json:
              example:
                success: false
                statusCode: 500
                message: Internal server error
                data: null
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````